diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
index ea0e79787046041709269a4a044c79236baa4100..54a5ed3f6e3011e596b18c869a68e8f6e9e2dda3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
@@ -165,7 +165,6 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
 
             try {
                 String s = config.getString("preop.pk12.path", "");
-                String type = config.getString("preop.subsystem.select", "");
                 context.put("path", s);
             } catch (Exception e) {
                 CMS.debug(e.toString());
@@ -265,8 +264,8 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
             if (verifypfx) {
                 CMS.debug("RestoreKeyCertPanel verify the PFX.");
                 AuthenticatedSafes safes = pfx.getAuthSafes();
-                Vector pkeyinfo_collection = new Vector();
-                Vector cert_collection = new Vector();
+                Vector<Vector<Object>> pkeyinfo_collection = new Vector<Vector<Object>>();
+                Vector<Vector<Object>> cert_collection = new Vector<Vector<Object>>();
                 for (int i = 0; i < safes.getSize(); i++) {
                     try {
                         SEQUENCE scontent = safes.getSafeContentsAt(null, i);
@@ -276,9 +275,8 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
                             if (oid.equals(SafeBag.PKCS8_SHROUDED_KEY_BAG)) {
                                 EncryptedPrivateKeyInfo privkeyinfo =
                                         (EncryptedPrivateKeyInfo) bag.getInterpretedBagContent();
-                                PasswordConverter passConverter = new PasswordConverter();
                                 PrivateKeyInfo pkeyinfo = privkeyinfo.decrypt(password, new PasswordConverter());
-                                Vector pkeyinfo_v = new Vector();
+                                Vector<Object> pkeyinfo_v = new Vector<Object>();
                                 pkeyinfo_v.addElement(pkeyinfo);
                                 SET bagAttrs = bag.getBagAttributes();
                                 for (int k = 0; k < bagAttrs.size(); k++) {
@@ -288,7 +286,7 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
                                         SET val = attrs.getValues();
                                         ANY ss = (ANY) val.elementAt(0);
                                         ByteArrayInputStream bbis = new ByteArrayInputStream(ss.getEncoded());
-                                        BMPString sss = (BMPString) (new BMPString.Template()).decode(bbis);
+                                        BMPString sss = (BMPString) new BMPString.Template().decode(bbis);
                                         String s = sss.toString();
                                         pkeyinfo_v.addElement(s);
                                     }
@@ -298,7 +296,7 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
                                 CertBag cbag = (CertBag) bag.getInterpretedBagContent();
                                 OCTET_STRING str = (OCTET_STRING) cbag.getInterpretedCert();
                                 byte[] x509cert = str.toByteArray();
-                                Vector cert_v = new Vector();
+                                Vector<Object> cert_v = new Vector<Object>();
                                 cert_v.addElement(x509cert);
                                 SET bagAttrs = bag.getBagAttributes();
 
@@ -374,14 +372,10 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
             cstype = toLowerCaseSubsystemType(cstype);
 
             String session_id = CMS.getConfigSDSessionId();
-            String sd_hostname = "";
-            int sd_port = -1;
             String master_hostname = "";
             int master_port = -1;
             int master_ee_port = -1;
             try {
-                sd_hostname = config.getString("securitydomain.host", "");
-                sd_port = config.getInteger("securitydomain.httpsadminport", -1);
                 master_hostname = config.getString("preop.master.hostname", "");
                 master_port = config.getInteger("preop.master.httpsadminport", -1);
                 master_ee_port = config.getInteger("preop.master.httpsport", -1);
@@ -527,8 +521,8 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
         return org.mozilla.jss.crypto.PrivateKey.Type.RSA;
     }
 
-    private void importkeycert(Vector pkeyinfo_collection,
-            Vector cert_collection) throws IOException {
+    private void importkeycert(Vector<Vector<Object>> pkeyinfo_collection,
+            Vector<Vector<Object>> cert_collection) throws IOException {
         CryptoManager cm = null;
         try {
             cm = CryptoManager.getInstance();
@@ -540,7 +534,7 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
 
         for (int i = 0; i < pkeyinfo_collection.size(); i++) {
             try {
-                Vector pkeyinfo_v = (Vector) pkeyinfo_collection.elementAt(i);
+                Vector<Object> pkeyinfo_v = pkeyinfo_collection.elementAt(i);
                 PrivateKeyInfo pkeyinfo = (PrivateKeyInfo) pkeyinfo_v.elementAt(0);
                 String nickname = (String) pkeyinfo_v.elementAt(1);
                 byte[] x509cert = getX509Cert(nickname, cert_collection);
@@ -569,8 +563,7 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
 
                 KeyWrapper wrapper = token.getKeyWrapper(KeyWrapAlgorithm.DES3_CBC_PAD);
                 wrapper.initUnwrap(sk, param);
-                org.mozilla.jss.crypto.PrivateKey pp =
-                        wrapper.unwrapPrivate(encpkey, getPrivateKeyType(publickey), publickey);
+                wrapper.unwrapPrivate(encpkey, getPrivateKeyType(publickey), publickey);
 
             } catch (Exception e) {
                 CMS.debug("RestoreKeyCertPanel importkeycert: Exception=" + e.toString());
@@ -579,7 +572,7 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
 
         for (int i = 0; i < cert_collection.size(); i++) {
             try {
-                Vector cert_v = (Vector) cert_collection.elementAt(i);
+                Vector<Object> cert_v = cert_collection.elementAt(i);
                 byte[] cert = (byte[]) cert_v.elementAt(0);
                 if (cert_v.size() > 1) {
                     String name = (String) cert_v.elementAt(1);
@@ -658,10 +651,10 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
         return null;
     }
 
-    private byte[] getX509Cert(String nickname, Vector cert_collection)
+    private byte[] getX509Cert(String nickname, Vector<Vector<Object>> cert_collection)
             throws IOException {
         for (int i = 0; i < cert_collection.size(); i++) {
-            Vector v = (Vector) cert_collection.elementAt(i);
+            Vector<Object> v = cert_collection.elementAt(i);
             byte[] b = (byte[]) v.elementAt(0);
             X509CertImpl impl = null;
             try {
@@ -703,8 +696,7 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
                 if (token.equals("sslserver"))
                     continue;
                 String tokenname = config.getString("preop.module.token", "");
-                CryptoToken tok = cm.getTokenByName(tokenname);
-                CryptoStore store = tok.getCryptoStore();
+                cm.getTokenByName(tokenname); // throw exception if token doesn't exist
                 String name1 = "preop.master." + token + ".nickname";
                 String nickname = config.getString(name1, "");
                 if (!tokenname.equals("Internal Key Storage Token") &&
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
index ea47e82edd5e4c123799a1f6ccf0ad69fccea2e1..55f7171ef43a814ead171056456f3f4899e4dc12 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/WizardPanelBase.java
@@ -739,7 +739,6 @@ public class WizardPanelBase implements IWizardPanel {
                     cs.putString("preop.cookie", cookie);
                     return true;
                 } else {
-                    String error = parser.getValue("Error");
                     return false;
                 }
             } catch (Exception e) {
@@ -990,15 +989,15 @@ public class WizardPanelBase implements IWizardPanel {
 
             int len = nodeList.getLength();
             for (int i = 0; i < len; i++) {
-                Vector v_hostname =
+                Vector<String> v_hostname =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "Host");
 
-                Vector v_https_admin_port =
+                Vector<String> v_https_admin_port =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "SecureAdminPort");
 
-                Vector v_domain_mgr =
+                Vector<String> v_domain_mgr =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "DomainManager");
 
@@ -1014,10 +1013,10 @@ public class WizardPanelBase implements IWizardPanel {
         return dm.equalsIgnoreCase("true");
     }
 
-    public Vector getMasterUrlListFromSecurityDomain(IConfigStore config,
+    public Vector<String> getMasterUrlListFromSecurityDomain(IConfigStore config,
                                                       String type,
                                                       String portType) {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         try {
             String hostname = config.getString("securitydomain.host");
@@ -1025,18 +1024,8 @@ public class WizardPanelBase implements IWizardPanel {
 
             CMS.debug("Getting domain.xml from CA...");
             String c = getDomainXML(hostname, httpsadminport, true);
-            String list = "";
 
             CMS.debug("Type " + type);
-            if (type.equals("CA")) {
-                list = "CAList";
-            } else if (type.equals("KRA")) {
-                list = "KRAList";
-            } else if (type.equals("OCSP")) {
-                list = "OCSPList";
-            } else if (type.equals("TKS")) {
-                list = "TKSList";
-            }
 
             CMS.debug("Getting " + portType + " from Security Domain ...");
             if (!portType.equals("UnSecurePort") &&
@@ -1061,16 +1050,16 @@ public class WizardPanelBase implements IWizardPanel {
 
             CMS.debug("Len " + len);
             for (int i = 0; i < len; i++) {
-                Vector v_clone = parser.getValuesFromContainer(nodeList.item(i),
+                Vector<String> v_clone = parser.getValuesFromContainer(nodeList.item(i),
                         "Clone");
                 String clone = (String) v_clone.elementAt(0);
                 if (clone.equalsIgnoreCase("true"))
                     continue;
-                Vector v_name = parser.getValuesFromContainer(nodeList.item(i),
+                Vector<String> v_name = parser.getValuesFromContainer(nodeList.item(i),
                         "SubsystemName");
-                Vector v_host = parser.getValuesFromContainer(nodeList.item(i),
+                Vector<String> v_host = parser.getValuesFromContainer(nodeList.item(i),
                         "Host");
-                Vector v_port = parser.getValuesFromContainer(nodeList.item(i),
+                Vector<String> v_port = parser.getValuesFromContainer(nodeList.item(i),
                         portType);
 
                 v.addElement(v_name.elementAt(0)
@@ -1179,15 +1168,15 @@ public class WizardPanelBase implements IWizardPanel {
 
             int len = nodeList.getLength();
             for (int i = 0; i < len; i++) {
-                Vector v_hostname =
+                Vector<String> v_hostname =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "Host");
 
-                Vector v_https_ee_port =
+                Vector<String> v_https_ee_port =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "SecurePort");
 
-                Vector v_https_admin_port =
+                Vector<String> v_https_admin_port =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "SecureAdminPort");
 
@@ -1234,11 +1223,11 @@ public class WizardPanelBase implements IWizardPanel {
 
             int len = nodeList.getLength();
             for (int i = 0; i < len; i++) {
-                Vector v_admin_port =
+                Vector<String> v_admin_port =
                         parser.getValuesFromContainer(nodeList.item(i),
                                                       "SecureAdminPort");
 
-                Vector v_port = null;
+                Vector<String> v_port = null;
                 if (portType.equals("UnSecurePort")) {
                     v_port = parser.getValuesFromContainer(nodeList.item(i),
                                                             "UnSecurePort");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java b/pki/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java
index a86a676b0c23e1f4ea2398c13e88553aa3f66b84..dd224cc8a7bd2aa3ff331ea3f88271a2f2e9eefe 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java
@@ -19,7 +19,6 @@ package com.netscape.cms.servlet.key;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
-import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
 import com.netscape.certsrv.apps.CMS;
@@ -76,7 +75,6 @@ public class DisplayTransport extends CMSServlet {
      */
     public void process(CMSRequest cmsReq) throws EBaseException {
 
-        HttpServletRequest req = cmsReq.getHttpReq();
         HttpServletResponse resp = cmsReq.getHttpResp();
 
         IAuthToken authToken = authenticate(cmsReq);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java b/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
index 81ced5290092b8266ed4c22e86ef14c6146ab70c..cd440da0820a88a282368ca93832d5df81c96185 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
@@ -151,7 +151,6 @@ public class ExamineRecovery extends CMSServlet {
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
-        int seq = -1;
 
         EBaseException error = null;
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java b/pki/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
index 0019c95084ec421dc27e79f22339f52b971a09bc..55d79b1aba78eb7971bf2aad00bf610ac67b4433 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
@@ -133,7 +133,6 @@ public class GetApprovalStatus extends CMSServlet {
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
-        int seq = -1;
         int rComplete = 0;
 
         // get status and populate argSet
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java b/pki/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
index 4a96283864ebcfd70b22cae0bf39cac1f0fb1284..9d67cab8debd610c701cbd8507c269d3e62efdc3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
@@ -155,7 +155,6 @@ public class GetAsyncPk12 extends CMSServlet {
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
-        int seq = -1;
 
         // get status and populate argSet
         try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java b/pki/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
index a40edee80406fb3f50b90e26b97bb37ad055b14a..7c0c0cb1ce85276a145acae4a8ef9ba2793611d0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
@@ -154,8 +154,6 @@ public class GrantAsyncRecovery extends CMSServlet {
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
-        int seq = -1;
-
         String agentID = authToken.getInString("uid");
         CMS.debug("GrantAsyncRecovery: process() agent uid=" + agentID);
         CMS.debug("GrantAsyncRecovery: process() request id=" + req.getParameter("reqID"));
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java b/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
index 9989fafad22e3d9903531108cb2d558897bdd1fd..02aacc31ce7c65ac1b3432bd2108cb5f2b333562 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
@@ -157,8 +157,6 @@ public class GrantRecovery extends CMSServlet {
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
-        int seq = -1;
-
         String agentID = authToken.getInString("uid");
         if (CMS.getConfigStore().getBoolean("kra.keySplitting")) {
             agentID = req.getParameter("agentID");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
index 0bb038677ef91db33337550b9f6b6da67fa32f5d..eb3b93eb80bb9a4e21c03b46f73ed4e7194a862c 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
@@ -477,7 +477,6 @@ public class ProfileSubmitServlet extends ProfileServlet {
             statsSub.startTiming("enrollment", true /* main action */);
         }
 
-        long startTime = CMS.getCurrentDate().getTime();
         Locale locale = getLocale(request);
         ArgSet args = new ArgSet();
 
@@ -750,8 +749,8 @@ public class ProfileSubmitServlet extends ProfileServlet {
                             if (origReq != null) {
                                 CMS.debug("ProfileSubmitServlet: renewal: found original enrollment request id:" + rid);
                                 // debug: print the extData keys
-                                Enumeration<String> en = origReq.getExtDataKeys();
                                 /*
+                                Enumeration<String> en = origReq.getExtDataKeys();
                                                                 CMS.debug("ProfileSubmitServlet: renewal: origRequest extdata key print BEGINS");
                                                                 while (en.hasMoreElements()) {
                                                                   String next = (String) en.nextElement();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java b/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
index 1d04952d156eb88a32e19c64b64468b5fd1f8d8a..b65c90fcaacaf1e695c381f35cdd0ed3a440d49f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
@@ -148,7 +148,7 @@ public class CheckRequest extends CMSServlet {
      */
     public void process(CMSRequest cmsReq) throws EBaseException {
         CMS.debug("checkRequest: in process!");
-        SET transIds = null, rNonces = null, sNonces = null;
+        SET transIds = null, sNonces = null;
         boolean isCMCReq = false;
         INTEGER bodyPartId = null;
 
@@ -252,7 +252,7 @@ public class CheckRequest extends CMSServlet {
                     } else if (type.equals(OBJECT_IDENTIFIER.id_cmc_transactionId)) {
                         transIds = taggedAttr.getValues();
                     } else if (type.equals(OBJECT_IDENTIFIER.id_cmc_recipientNonce)) {
-                        rNonces = taggedAttr.getValues();
+                        // recipient nonce
                     } else if (type.equals(OBJECT_IDENTIFIER.id_cmc_senderNonce)) {
                         sNonces = taggedAttr.getValues();
                     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index ee5581a6d6d042273d37dc81fb947f12b093ad5e..820e9a6542a11844aa43d5588341f3d16f43ada6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -275,7 +275,7 @@ public class ProcessCertReq extends CMSServlet {
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
-        CMSTemplate form = null, errorForm = null;
+        CMSTemplate form = null;
         Locale[] locale = new Locale[1];
 
         try {
@@ -342,7 +342,6 @@ public class ProcessCertReq extends CMSServlet {
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                     outputXML(resp, argSet);
                 } else {
-                    String output = form.getOutput(argSet);
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
                     cmsReq.setStatus(CMSRequest.SUCCESS);
@@ -1002,19 +1001,15 @@ public class ProcessCertReq extends CMSServlet {
                         }
 
                         // grant trusted manager or agent privileges  
-                        Object grantError = null;
-
                         try {
                             int res = grant_privileges(
                                     cmsReq, r, issuedCerts, header);
 
                             if (res != 0) {
                                 header.addStringValue(GRANT_ERROR, "SUCCESS");
-                                grantError = "SUCCESS";
                             }
                         } catch (EBaseException e) {
                             header.addStringValue(GRANT_ERROR, e.toString());
-                            grantError = e;
                         }
 
                         // if this is a RA, show the certificate right away
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
index a4eb68b1946b66a33d202a7507fa64b4c40e94d6..9c173d8325a22131fa6afb8e297995cb88688c32 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
@@ -145,7 +145,7 @@ public class ProcessReq extends CMSServlet {
         String doAssign = null;
         EBaseException error = null;
 
-        CMSTemplate form = null, errorForm = null;
+        CMSTemplate form = null;
         Locale[] locale = new Locale[1];
 
         try {
@@ -214,7 +214,6 @@ public class ProcessReq extends CMSServlet {
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                     outputXML(resp, argSet);
                 } else {
-                    String output = form.getOutput(argSet);
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
                     cmsReq.setStatus(CMSRequest.SUCCESS);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
index 181f9f906d11f19fdb21ea536da716d03c16f67e..f6ae634f42d46558182b1e6bc7b5a1d724343c0b 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
@@ -435,8 +435,6 @@ public class QueryReq extends CMSServlet {
             header.addIntegerValue(OUT_TOTALCOUNT, totalCount);
             header.addIntegerValue(OUT_CURRENTCOUNT, list.getSize());
 
-            int numEntries = list.getSize() - list.getCurrentIndex();
-
             Vector<IRequest> v = fetchRecords(list, maxCount);
             v = normalizeOrder(v);
             trim(v, id);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java b/pki/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
index 5fc05bb25e0aefc018d5fe7fa9bc674fa23e332f..08d5805b6ed605fe155b1c35ddccad13eb49a78c 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
@@ -182,7 +182,6 @@ public class SearchReqs extends CMSServlet {
             return;
         }
 
-        String revokeAll = null;
         EBaseException error = null;
         int maxResults = -1;
         int timeLimit = -1;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java b/pki/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java
index a71f26dcfa01f594cc40661a726e1e8286dd70e9..42fa88cd977a86017fb04eb95c246a4cc65ad0bb 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java
@@ -418,6 +418,7 @@ public class WizardServlet extends VelocityServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("WizardServlet:service() uri = " + httpReq.getRequestURI());
+        @SuppressWarnings("unchecked")
         Enumeration<String> paramNames = httpReq.getParameterNames();
         while (paramNames.hasMoreElements()) {
             String pn = paramNames.nextElement();
diff --git a/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java b/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
index 1c4d9fbcf2049be347d08ae524333d64c871c934..a7d5329c0d86734edac1e9a1e2ca2a5e4d5ab472 100644
--- a/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
+++ b/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
@@ -20,7 +20,6 @@ package com.netscape.cmscore.authentication;
 import java.math.BigInteger;
 import java.security.MessageDigest;
 import java.security.NoSuchAlgorithmException;
-import java.util.Vector;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.AuthToken;
@@ -80,7 +79,6 @@ public class ChallengePhraseAuthentication implements IAuthManager {
     private ICertUserLocator mCULocator = null;
     private ILogger mLogger = CMS.getLogger();
     private String mRequestor = null;
-    private Vector mID = null;
     private MessageDigest mSHADigest = null;
 
     // request attributes hacks 
diff --git a/pki/base/common/src/com/netscape/cmscore/authorization/AuthzSubsystem.java b/pki/base/common/src/com/netscape/cmscore/authorization/AuthzSubsystem.java
index 1a1aaa6342ef00d82f1de46dcbb82d58307292da..16bc40e29303d0adae986415caac6fa19c5d7e14 100644
--- a/pki/base/common/src/com/netscape/cmscore/authorization/AuthzSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/authorization/AuthzSubsystem.java
@@ -421,9 +421,8 @@ public class AuthzSubsystem implements IAuthzSubsystem {
 
             IAuthzManager mgr = (IAuthzManager) get((String) e.nextElement());
 
-            String infoMsg =
-                    "Shutting down authz manager instance " + mgr.getName();
-
+            //String infoMsg =
+            //        "Shutting down authz manager instance " + mgr.getName();
             //log(ILogger.LL_INFO, infoMsg);
 
             mgr.shutdown();
diff --git a/pki/base/common/src/com/netscape/cmscore/base/SubsystemLoader.java b/pki/base/common/src/com/netscape/cmscore/base/SubsystemLoader.java
index 0dbeb4b51d201883ff2433d9e53de371712d1228..a9307e858111bf68a0565beb26ebfb65f2e6f1ff 100644
--- a/pki/base/common/src/com/netscape/cmscore/base/SubsystemLoader.java
+++ b/pki/base/common/src/com/netscape/cmscore/base/SubsystemLoader.java
@@ -37,8 +37,8 @@ public class SubsystemLoader {
     private static final String PROP_CLASSNAME = "class";
     private static final String PROP_ID = "id";
 
-    public static Vector load(IConfigStore config) throws EBaseException {
-        Vector v = new Vector();
+    public static Vector<ISubsystem> load(IConfigStore config) throws EBaseException {
+        Vector<ISubsystem> v = new Vector<ISubsystem>();
 
         // load a list of installable subsystems (services)
         for (int i = 0;; i++) {
diff --git a/pki/base/common/src/com/netscape/cmscore/connector/HttpConnector.java b/pki/base/common/src/com/netscape/cmscore/connector/HttpConnector.java
index 8a05c1c74fa9a080fca5217bdfbd685295e46078..cdb3157954823c1a12ceb3026acf84a35e996580 100644
--- a/pki/base/common/src/com/netscape/cmscore/connector/HttpConnector.java
+++ b/pki/base/common/src/com/netscape/cmscore/connector/HttpConnector.java
@@ -170,7 +170,7 @@ public class HttpConnector implements IConnector {
                 r.setExtData(IRequest.ERROR,
                         new EBaseException(CMS.getUserMessage("CMS_BASE_REMOTE_AUTHORITY_ERROR")));
                 // XXX overload svcerrors for now. 
-                Vector policyErrors = r.getExtDataInStringVector(IRequest.ERRORS);
+                Vector<String> policyErrors = r.getExtDataInStringVector(IRequest.ERRORS);
 
                 if (policyErrors != null && policyErrors.size() > 0) {
                     r.setExtData(IRequest.SVCERRORS, policyErrors);
diff --git a/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java b/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java
index d7024f4ad58520a74846bd7a327e040f205509a8..ea235391d76aa753701ac770baf208361e827c33 100644
--- a/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java
+++ b/pki/base/common/src/com/netscape/cmscore/connector/HttpPKIMessage.java
@@ -103,7 +103,6 @@ public class HttpPKIMessage implements IHttpPKIMessage {
         reqStatus = r.getRequestStatus().toString();
         CMS.debug("HttpPKMessage.toRequest: requestStatus=" + reqStatus);
 
-        int len = RequestTransfer.getTransferAttributes(r).length;
         String key;
         Object value;
         Enumeration<Object> enum1 = mNameVals.elements();
